AMC: wgMFSchemaMainMenuClickTrackingSampleRate should be set in production not MobileFrontend
Closed, ResolvedPublic1 Story Points

Description

wgMinervaSchemaMainMenuClickTrackingSampleRate is currently set by default in Minerva as 0.5. It should be set as 0

Acceptance criteria

  • Write a patch for mediawiki-config to set in production to 0.5 and ask somebody to deploy that patch using the deployment calendar. During deployment you'll get a great experience of how we deploy config changes in Wikipedia. You will verify your change was successful by using X-Wikimedia-Debug. You'll want to check that for 50% of page views, clicking a link in the mobile main menu sends an event (see testing instructions)
  • ☝️ @phuedx: Done in T205008#4776348. I've also tested the behaviour of the instrumentation in production 👍
  • When patch is merged write a patch for MobileFrontend to set the default to 0 and cleanup the related code (mw.config.get('wgMinervaSchemaMainMenuClickTrackingSampleRate',0.5) becomes mw.config.get('wgMinervaSchemaMainMenuClickTrackingSampleRate')

Testing steps

  • Open a new tab with mobile site
  • Open main menu
  • Open one of the many menu links in a new tab
  • Verify a beacon event shows in the developer console approx 50% of the time (see screenshot)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2018, 7:57 PM
Jdlrobson triaged this task as Low priority.Sep 20 2018, 7:57 PM
Jdlrobson raised the priority of this task from Low to Normal.Oct 3 2018, 8:02 PM
Jdlrobson updated the task description. (Show Details)

@Jdlrobson: As a newcomer, I fail to find wgMFSchemaMainMenuClickTrackingSampleRate in the MobileFrontend codebase, so I'm wondering how to approach this task?

Jdlrobson updated the task description. (Show Details)

Amended!

Jdlrobson renamed this task from wgMFSchemaMainMenuClickTrackingSampleRate should be set in production not MobileFrontend to AMC: wgMFSchemaMainMenuClickTrackingSampleRate should be set in production not MobileFrontend.Nov 15 2018, 6:58 PM

Change 475882 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Set wgMinervaSchemaMainMenuClickTrackingSampleRate

https://gerrit.wikimedia.org/r/475882

Change 475890 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Zero is a sensible default for this feature flag

https://gerrit.wikimedia.org/r/475890

SWAT scheduled. Once the SWAT has happened, follow up can be merged.

Change 475882 merged by jenkins-bot:
[operations/mediawiki-config@master] Set wgMinervaSchemaMainMenuClickTrackingSampleRate

https://gerrit.wikimedia.org/r/475882

Mentioned in SAL (#wikimedia-operations) [2018-11-27T00:17:27Z] <niharika29@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Set wgMinervaSchemaMainMenuClickTrackingSampleRate T205008 (duration: 00m 46s)

phuedx updated the task description. (Show Details)Tue, Nov 27, 11:24 AM
phuedx added a subscriber: phuedx.

Change 475890 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Zero is a sensible default for this feature flag

https://gerrit.wikimedia.org/r/475890

nray claimed this task.Tue, Nov 27, 6:22 PM
nray added a comment.Tue, Nov 27, 8:27 PM

Tested on https://en.m.wikipedia.org and we are still sending events at what seems like 50% of page views

nray closed this task as Resolved.Tue, Nov 27, 8:27 PM